Does Geneious run on Ubuntu 18.04 LTS?

We have released Geneious R11.1.4 and R10.2.5 to fix an incompatibility with the recently  released Ubuntu 18.0.4 LTS.

Geneious R10 or R11 users who wish to run on Ubuntu 18.04 LTS should update to these versions.

R10 users can download the appropriate installer from https://www.geneious.com/previous-versions.

 

Unsupported versions of Geneious (R9 and earlier) will not be patched.  Users running Geneious R9 or earlier are advised not to update to Ubuntu 18.04, and to instead use the Ubuntu 16.04 LTS distribution.  

Have more questions? Submit a request

Comments

  • Avatar
    Richard Cadenillas

    Thanks for the help all solved with the new version of Geneious